# Set Customer Info

[Learn more about visitor attributes->](https://help.acquire.io/for-administrators/capture-visitor-attributes)

### PHP&#x20;

```
<script type="text/javascript">
        /* Put visitor details programmatically. */
            window.acquire=window.acquire||[];
            acquire.push({
                fields: {
                    contact: {
                      name:<?php echo $value ?>,
                      email:<?php echo $value ?>,
                      phone:<?php echo $value ?>,
                      calling_code:<?php echo $value ?>,
                      source:<?php echo $value ?>,
                      city:<?php echo $value ?>,
                      state:<?php echo $value ?>,
                      countryid:<?php echo $value ?>,
                      address:<?php echo $value ?>,
                      location:<?php echo $value ?>,
                      contact_country_flag:<?php echo $value ?>
                   }, 
                   case: {
                      remark:<?php echo $value ?>
                   },
                   },
              lang:'<?php echo $language_code ?>' //LANGUAGE CODE
            })
</script>
```

### Rails (Ruby)

```
<script type="text/javascript">
        /* Put visitor details programmatically. */
            window.acquire=window.acquire||[];
            acquire.push({
                fields: {
                    contact: {
                      name:<%= value %>,
                      email:<%= value %>,
                      phone:<%= value %>,
                      calling_code:<%= value %>,
                      source:<%= value %>,
                      city:<%= value %>,
                      state:<%= value %>,
                      countryid:<%= value %>,
                      address:<%= value %>,
                      location:<%= value %>,
                      contact_country_flag:<%= value %>
                    },
                    case: {
                        remark:<%= value %>
                    },
                    },
                    lang:'<%= language_code %>' //LANGUAGE CODE
            })
</script>
```

### Django (Python)

```
<script type="text/javascript">
        /* Put visitor details programmatically. */
            window.acquire=window.acquire||[];
            acquire.push({
                fields :{
                    contact: {
                      name:{{ value }},
                      email:{{ value }},
                      phone:{{ value }},
                      calling_code:{{ value }},
                      source:{{ value }},
                      city:{{ value }},
                      state:{{ value }},
                      countryid:{{ value }},
                      address:{{ value }},
                      location:{{ value }},
                      contact_country_flag:{{ value }}
                    },
                    case: {
                      remark:{{ value }}
                    },
                    },
              lang:'{{ language_code }}' //LANGUAGE CODE
            })
</script>
```

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/widget/functioning-customization/methods/set-customer-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
